local CatchAndRelease_Text = n
CatchAndRelease = LibStub("AceAddon-3.0"):NewAddon("CatchAndRelease", "AceConsole-3.0", "AceEvent-3.0")
function CatchAndRelease:OnInitialize()
  self:RegisterEvent("CHAT_MSG_LOOT", "ProcessMessage")
end

function CatchAndRelease:ProcessMessage(msgtype, message, sender, language, channelString, target, flags, unknownA, channelNumber, channelName, unknownB, counter)

  -- Garrison / Draenor
  if (string.find(message, "Sea Turtle") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " reeled in a [Sea Turtle]!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Riding Turtle") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Riding Turtle]!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Lunarfall Carp") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Lunarfall Carp].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Frostdeep Minnow") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Frostdeep Minnow].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Blind Palefish") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Blind Palefish].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Squeaky Duck Bobber") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Squeaky Duck Bobber].", ChatTypeInfo["RAID_WARNING"])
  end
  -- end Garrison / Draenor

  -- Margoss
  if (string.find(message, "Mark of Aquaos") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " got a [Mark of Aquaos]. Throw it back for fun and profit!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Emblem of Margoss") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up an [Emblem of Margoss].", ChatTypeInfo["RAID_WARNING"])
  end -- Margoss

  -- Mounts
  if (string.find(message, "Pond Nettle") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " reeled in a [Pond Nettle]!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Great Sea Ray") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " wrangled a [Great Sea Ray]!", ChatTypeInfo["RAID_WARNING"])
  end -- Mounts

  -- Shadowlands
  if (string.find(message, "Elysian Thade") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught an [Elysian Thade].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Laestrite Skeleton Key") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " found a [Laestrite Skeleton Key].", ChatTypeInfo["RAID_WARNING"])
  end
  --END Shadowlands

  -- BfA
  if (string.find(message, "Midnight Salmon") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Midnight Salmon].", ChatTypeInfo["RAID_WARNING"])
  end
  --END BfA

  -- Legion -- Suramar
  if (string.find(message, "Sleeping Murloc") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " abducted a [Sleeping Murloc]. Rude!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Demonic Detritus") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up [Demonic Detritus]. Gross!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Enchanted Lure") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up an [Enchanted Lure]. Shiny!", ChatTypeInfo["RAID_WARNING"])
  end
  -- Open Water
  if (string.find(message, "Stunned, Angry Shark") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " reeled in a [Stunned, Angry Shark]. Use it within 60 seconds!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Decayed Whale Blubber") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up [Decayed Whale Blubber].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Message in a Beer Bottle") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " found a [Message in a Beer Bottle].", ChatTypeInfo["RAID_WARNING"])
  end
  -- Val Sharah
  if (string.find(message, "Rotten Fishbone") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " hooked a [Rotten Fishbone].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Nightmare Nightcrawler") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Nightmare Nightcrawler].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Drowned Thistleleaf") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " reeled in a [Drowned Thistleleaf].", ChatTypeInfo["RAID_WARNING"])
  end
  -- Azsuna
  if (string.find(message, "Skrog Toenail") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Skrog Toenail]. Ew!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Rusty Queenfish Brooch") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " found a [Rusty Queenfish Brooch]. Go look for Ghostly Queenfish schools!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Pearlescent Conch") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Pearlescent Conch].", ChatTypeInfo["RAID_WARNING"])
  end
  -- Highmountain
  if (string.find(message, "Funky Sea Snail") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Funky Sea Snail].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Frost Worm") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Frost Worm].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Swollen Murloc Egg") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " found a [Swollen Murloc Egg].", ChatTypeInfo["RAID_WARNING"])
  end
  -- Stormheim
  if (string.find(message, "Moosehorn Hook") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " snagged their line on a [Moosehorn Hook].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Soggy Drakescale") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Soggy Drakescale].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Ancient Vrykul Ring") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " found an [Ancient Vrykul Ring]. Go look for Oodelfjisk schools!", ChatTypeInfo["RAID_WARNING"])
  end
  -- end Legion

  -- MoP pets
  if (string.find(message, "Tiny Blue Carp") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Tiny Blue Carp].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Tiny White Carp") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Tiny White Carp].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Tiny Red Carp") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Tiny Red Carp].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Tiny Green Carp") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " caught a [Tiny Green Carp].", ChatTypeInfo["RAID_WARNING"])
  end
  -- end Mop pets

  -- Fishing Gear
  if (string.find(message, "Darkwood Fishing Pole") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " recovered a [Darkwood Fishing Pole] from the depths!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Bone Fishing Pole") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " found a [Bone Fishing Pole].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Jeweled Fishing Pole") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " found a [Jeweled Fishing Pole]. Shiny!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Big Iron Fishing Pole") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " found a [Big Iron Fishing Pole].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Strong Fishing Pole") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " found a [Strong Fishing Pole].", ChatTypeInfo["RAID_WARNING"])
  end
  -- End Fishing Gear

  -- LUNKERS
  if (string.find(message, "Abyssal Gulper Lunker") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Abyssal Gulper Lunker]!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Blackwater Whiptail Lunker") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Blackwater Whiptail Lunker]!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Blind Lake Lunker") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Blind Lake Lunker]!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Fat Sleeper Lunker") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Fat Sleeper Lunker]!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Fire Ammonite Lunker") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Fire Ammonite Lunker]!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Jawless Skulker Lunker") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Jawless Skulker Lunker]!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Sea Scorpion Lunker") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " fished up a [Sea Scorpion Lunker]!", ChatTypeInfo["RAID_WARNING"])
  end
  -- END LUNKERS

  -- DARKMOON FAIR
  if (string.find(message, "Sea Pony") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " lassoed a [Sea Pony]!", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Sealed Darkmoon Crate") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " dredged up a [Sealed Darkmoon Crate].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Tugboat Bobber") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " snagged a [Tugboat Bobber].", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Severed Azurefin Head") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " reeled in a [Severed Azurefin Head]. Gross, it stinks! Stick your head in it.", ChatTypeInfo["RAID_WARNING"])
  end
  if (string.find(message, "Severed Crimsonscale Head") ~= n) then
    RaidNotice_AddMessage(RaidWarningFrame, "" .. target .. " hooked a [Severed Crimsonscale Head]. That's... disgusting. But it would probably look great on your head.", ChatTypeInfo["RAID_WARNING"])
  end

  -- END DARKMOON FAIR

end -- end function
